package com.zj365.mime.adapter

import android.widget.ImageView
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.getImageUrl
import com.xty.common.setImage
import com.zj365.mime.R

class ImageShowAdapter : BaseAdapter<String>(R.layout.item_image_show) {
    override fun convert(holder: BaseViewHolder, item: String) {
        holder.getView<ImageView>(R.id.mImage)
            .apply {
                setImage(context, getImageUrl(item))
            }

    }
}